> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-ko/deploy/vision-events/delete-events.md).

# 이벤트 삭제

더 이상 필요하지 않은 Vision Events를 삭제할 수 있습니다. 삭제된 이벤트는 쿼리 결과와 dashboard에서 영구적으로 제거됩니다.

## Dashboard에서 삭제

1. Use Case를 열고 삭제하려는 이벤트를 클릭합니다
2. 이벤트 세부 정보 사이드바에서 이벤트 ID 옆의 휴지통 아이콘을 클릭합니다
3. 대화상자에서 삭제를 확인합니다

## API를 통해 삭제

다음을 보내세요 `POST` 요청을 `/vision-events/delete` Use Case ID와 삭제할 이벤트 ID 배열을 포함하여.

```bash
curl -X POST "https://api.roboflow.com/vision-events/delete" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
    "useCaseId": "assembly-line-qa",
    "eventIds": ["evt-789ghi", "evt-456def"]
  }'
```

**응답:**

```json
{
  "deleted": 2,
  "notFound": []
}
```

`deleted` 는 제거된 이벤트 수입니다. 실제 이벤트와 일치하지 않는 이벤트 ID는 `notFound` 배열에 반환됩니다.

요청당 최대 1,000개의 이벤트를 삭제할 수 있습니다.
